Bug 831283 - [abrt] exaile-0.3.2.2-3.fc17: engine_normal.py:66:setup_playbin:ElementNotFoundError: playbin2
[abrt] exaile-0.3.2.2-3.fc17: engine_normal.py:66:setup_playbin:ElementNotFou...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:c709efa3d08123739bd8a5c041c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 12:35 EDT by Felipe Zipitría
Modified: 2012-12-20 11:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Zipitría 2012-06-12 12:35:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment:        It happens always when starting Exaile.
executable:     /usr/share/exaile/exaile.py
kernel:         3.4.0-1.fc17.x86_64
time:           Tue 12 Jun 2012 12:54:34 PM UYT
uid:            1000
username:       fzipi

backtrace:
:engine_normal.py:66:setup_playbin:ElementNotFoundError: playbin2
:
:Traceback (most recent call last):
:  File "/usr/share/exaile/exaile.py", line 62, in <module>
:    main()
:  File "/usr/share/exaile/exaile.py", line 59, in main
:    exaile = main.Exaile()
:  File "/usr/share/exaile/xl/main.py", line 102, in __init__
:    self.__init()
:  File "/usr/share/exaile/xl/main.py", line 138, in __init
:    self.__show_splash()
:  File "/usr/share/exaile/xl/main.py", line 268, in __show_splash
:    import xlgui
:  File "/usr/share/exaile/xlgui/__init__.py", line 52, in <module>
:    from xlgui import cover
:  File "/usr/share/exaile/xlgui/cover.py", line 40, in <module>
:    from xl import (
:  File "/usr/share/exaile/xl/player/__init__.py", line 61, in <module>
:    PLAYER = get_player()()
:  File "/usr/share/exaile/xl/player/engine_normal.py", line 55, in __init__
:    self.setup_pipe()
:  File "/usr/share/exaile/xl/player/engine_normal.py", line 58, in setup_pipe
:    self.setup_playbin()
:  File "/usr/share/exaile/xl/player/engine_normal.py", line 66, in setup_playbin
:    self.playbin = gst.element_factory_make("playbin2", "player")
:ElementNotFoundError: playbin2
:
:Local variables in innermost frame:
:self: <xl.player.engine_normal.NormalPlayer object at 0x1546590>

smolt_data:
:
:
:General
:=================================
:UUID: 34610737-b1b8-4922-b748-04a06ac0b3f3
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3600.31
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) 64 X2 Mobile Technology TL-58
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 104
:Number of CPUs: 2
:CPU Speed: 1900
:System Memory: 1877
:System Swap: 3775
:Vendor: Acer
:System: Aspire 5520 V1.30
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1376:4133:294) pci, pata_amd, STORAGE, MCP67 IDE Controller
:(4318:1372:4133:294) pci, snd_hda_intel, MULTIMEDIA, MCP67 High Definition Audio
:(4318:1356:4133:294) pci, forcedeth, ETHERNET, MCP67 Ethernet
:(4318:1351:4133:294) pci, None, RAM, MCP67 Memory Controller
:(4318:1347:4133:294) pci, None, PROCESSOR, MCP67 Co-processor
:(4318:1345:4318:52100) pci, None, RAM, MCP67 Memory Controller
:(4318:1346:4133:294) pci, nForce2_smbus, SERIAL, MCP67 SMBus
:(4318:1352:4133:294) pci, None, PCI/ISA, MCP67 ISA Bridge
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4480:1426:4133:294) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4318:1374:4133:294) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:4133:294) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4480:2082:4133:294) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:4133:294) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2130:4133:294) pci, None, BASE, xD-Picture Card Controller
:(4318:1331:4133:294) pci, nvidia, VIDEO, C67 [GeForce 7000M / nForce 610M]
:(4318:1377:4318:52100) pci, None, PCI/PCI, MCP67 PCI Bridge
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1360:4133:294) pci, ahci, STORAGE, MCP67 AHCI Controller
:(5772:28:5224:1064) pci, ath5k, ETHERNET, AR5BXB63 802.11bg NIC
:(4318:1374:4133:294) pci, ohci_hcd, USB, MCP67 OHCI USB 1.1 Controller
:(4318:1375:4133:294) pci, ehci_hcd, USB, MCP67 EHCI USB 2.0 Controller
:(4318:1379:4318:0) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_railgun-lv_root / ext4 4096 4096 5226764 3280279 3018135 1310720 1040769 1040769
:/dev/sda1 /boot ext4 1024 1024 508745 405756 380156 128016 127671 127671
:/dev/mapper/vg_railgun-lv_home /home ext4 4096 4096 22926631 4978052 3829944 5742592 5471249 5471249
:
Comment 1 Fedora Update System 2012-09-24 19:27:13 EDT
exaile-3.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc17
Comment 2 Fedora Update System 2012-09-24 19:27:53 EDT
exaile-3.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc18
Comment 3 Fedora Update System 2012-09-25 02:05:01 EDT
Package exaile-3.3.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-3.3.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14740/exaile-3.3.0-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:07:12 EST
exaile-3.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.